{
  pkgs,
  deps,
}:
pkgs.mkShell {
  packages = deps.dev ++ deps.build;

  shellHook =
    let
      justfile = ''
        set quiet

        build:
          nix build --offline --out-link result
        online:
          nix build --out-link result
        run: build
          result/bin/smooooth
        local:
          dune build
                      		'';
    in
    ''echo "${justfile}" > justfile'';
}
